<?php

namespace AppBundle\Repository;

use Doctrine\ORM\EntityRepository;

class CityRepository extends EntityRepository
{
    public function findAllWithProperties()
    {
        return $this->createQueryBuilder('c')
                    ->select('c')
                    ->innerJoin('c.properties', 'p')
                    ->andWhere('p.published = 1')
                    ->orderBy('c.name')
                    ->getQuery()
                    ->getResult();
    }   
    
}