<?php

namespace AppBundle\Repository;

use Doctrine\ORM\EntityRepository;

class PropertyMetaOptionRepository extends EntityRepository
{
    public function findAllOrdered()
    {
        return $this->createQueryBuilder('p')
                    ->select('p')
                    ->orderBy('p.order', 'ASC')
                    ->getQuery()
                    ->getResult();
    }   
    
    public function findAllForView()
    {
        return $this->createQueryBuilder('pmo')
                    ->select('pmo, pm, p')
                    ->innerJoin('pmo.meta', 'pm')
                    ->innerJoin('pm.property', 'p')
                    ->orderBy('pmo.order, pm.value', 'ASC')
                    ->getQuery()
                    ->getResult();
    }
    
}